tidy::root
tidyNode::getParent
Tidy
PHP Manual

# The tidyNode class

(No version information available, might only be in SVN)

## Wstęp

An HTML node in an HTML file, as detected by tidy.

## Krótki opis klasy

tidyNode {
/* Właściwości */
$value;
$name;
$type;
$line;
$column;
$proprietary;
$id;
$attribute;
$child;
/* Metody */
tidyNode getParent ( void )
bool hasChildren ( void )
bool hasSiblings ( void )
bool isAsp ( void )
bool isComment ( void )
bool isHtml ( void )
bool isJste ( void )
bool isPhp ( void )
bool isText ( void )
}

## Właściwości

value

  The HTML representation of the node, including the surrounding tags.

name

  The name of the HTML node

type

  The type of the tag (one of the constants above, e.g. `TIDY_NODETYPE_PHP`)

line

  The line number at which the tags is located in the file

column

  The column number at which the tags is located in the file

proprietary

  Indicates if the node is a proprietary tag

id

  The ID of the tag (one of the constants above, e.g. `TIDY_TAG_FRAME`)

attribute

  An array of string, representing the attributes names (as keys) of the current node.

child

  An array of tidyNode, representing the children of the current node.

Wersja | Opis
--- | ---
5.1.0 | line, column and proprietary were added

## Spis treści

- tidyNode::getParent — Zwraca rodzica bieżącego węzła
- tidyNode::hasChildren — Sprawdza, czy węzeł posiada potomków
- tidyNode::hasSiblings — Sprawdza, czy węzeł posiada sąsiadów
- tidyNode::isAsp — Sprawdza, czy węzeł jest kodem ASP
- tidyNode::isComment — Sprawdza, czy węzeł jest komentarzem
- tidyNode::isHtml — Sprawdza, czy węzeł jest częścią dokumentu HTML
- tidyNode::isJste — Sprawdza, czy węzeł jest kodem JSTE
- tidyNode::isPhp — Sprawdza, czy węzeł jest kodem PHP
- tidyNode::isText — Sprawdza, czy węzeł jest tekstem (nie jest znacznikiem)

tidy::root
tidyNode::getParent
Tidy
PHP Manual